<?php
	//Pedro 27/Agosto/2019
		//Aquí el botón de finalizar lo que hará será terminar con el pedido:
	//$variable = $me->getDefaultValue('nombre', valor);
	//Vamos a crear un script:
?>
<?php ob_start(); ?>
<script>
WS_data_update(
	'CabeceraCesta',
	'finish',
	{},
	'',
	function(data){
		console.log(data);
		var objeto_pedido = JSON.parse(data.response);
		objeto_pedido = objeto_pedido.objeto_pedido;
		var numero_pedido = objeto_pedido.numero_pedido;
		window.location.href = '<?=Shop::$configuracion->url . 'finalizar_compra/';?>' + numero_pedido;
	}
);

</script>
<?php
$script = ob_get_clean();
$script = WSMinificator::removeTag(array('<script>', '</script>'), $script);
$script = WSMinificator::simpleClean($script);
?>
<div class="boton_finalizar" >
	<button type="button" name="continuar" class="boton btn" onclick="<?=$script;?>">
		<span><?=traducir('Finalizar compra');?></span>
	</button>
</div>